<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="domain.socket-binding-group.socket-binding.client-mappings">
    <annotation name="jboss-op">
        <elem name="name" value="list-add"/>
        <elem name="op-params" value="source-network,destination-address,destination-port"/>
        <elem name="complex-attribute" value="client-mappings"/>
        <elem name="addr-params" value="socket-binding-group,socket-binding"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="domain.socket-binding-group"/>
    </annotation>
    <refs>
        <ref feature="domain.socket-binding-group.socket-binding"/>
    </refs>
    <params>
        <param name="socket-binding-group"/>
        <param name="destination-address"/>
        <param name="source-network" nillable="true"/>
        <param name="socket-binding"/>
        <param name="destination-port" nillable="true"/>
    </params>
</feature-spec>